.. only:: comment

    © Crown-owned copyright 2025, Defence Science and Technology Laboratory UK

.. _Node Attributes:

Common Attributes
#################

Node Attributes
===============

Attributes that are shared by all nodes.

.. include:: common_node_attributes.rst

.. _Network Node Attributes:

Network Node Attributes
=======================

Attributes that are shared by nodes that inherit from :py:mod:`primaite.simulator.network.hardware.nodes.network.network_node.NetworkNode`

.. include:: common_host_node_attributes.rst

.. _Host Node Attributes:

Host Node Attributes
====================

Attributes that are shared by nodes that inherit from :py:mod:`primaite.simulator.network.hardware.nodes.host.host_node.HostNode`

.. include:: common_host_node_attributes.rst

.. |NODE| replace:: node
